import 'package:flutter/material.dart';
import 'color_manager.dart';

InputDecoration? textBoxDecoration({bool suffixIcon = false}) => InputDecoration(
  focusColor: ColorsManager.grayColor,
  suffixIcon:suffixIcon? const Icon(Icons.search):null,
  hintText: 'Search',
  filled: true, // Enable background filling
  fillColor: Colors.grey.shade200, // Set the background color
  border: OutlineInputBorder(
    borderRadius: BorderRadius.circular(15), // Add border radius
    borderSide: BorderSide.none, // Remove the underline
  ),
  enabledBorder: OutlineInputBorder(
    borderRadius: BorderRadius.circular(15), // Add border radius
    borderSide: BorderSide.none, // Remove the underline
  ),
  focusedBorder: OutlineInputBorder(
    borderRadius: BorderRadius.circular(15), // Add border radius
    borderSide: BorderSide.none, // Remove the underline
  ),
);



Decoration containerDecoration = const BoxDecoration(color: Colors.white,borderRadius: BorderRadius.all(Radius.circular(20)));